Support » Plugin: WS Form LITE - Drag & Drop Contact Form Builder for WordPress » Deprecated: block_categories is deprecated since version 5.8.0

  • Hey!

    Thank you for an amazing form builder šŸ™‚

    On my test-site, I’ve just updated to WordPress 5.8 beta 3. Now, when I go edit a post using a WS Form, the following warnings are thrown (wp debug on)

    Deprecated: block_categories is deprecated since version 5.8.0! Use block_categories_all instead. in /home/oldrupdk/oldrup.net/wp-includes/functions.php on line 5465
    
    Deprecated: block_categories is deprecated since version 5.8.0! Use block_categories_all instead. in /home/oldrupdk/oldrup.net/wp-includes/functions.php on line 5465

    Screenshot: https://snipboard.io/2udCyz.jpg

    I’ve noticed a similar issue when activating the Getwid (a Gutenberg block library plugin).

    Apart from the warnings, the form appears to work just fine..

    Are you able to reproduce this warning?

    Kind regards
    Bjarne

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Westguard Solutions

    (@westguard)

    Hi Bjarne

    Firstly, thank you so much for the positive feedback, it is greatly appreciated!

    The warning you are seeing is for a beta version of WordPress which is not due for general release until the end of July. Therefore, we won’t be making any changes to that hook until such time that we are confident the majority of our users are able to use it or we risk causing the block to fail.

    Thank you for pointing it out though, it’s on our radar and we’ll be changing the hook in due course.

    Many thanks!

    Mark

    Thread Starter Bjarne Oldrup

    (@oldrup)

    Makes good sense. It was also just meant as a heads-up. Resolving any potential issues before people click the update button, might save us all from working overtime šŸ™‚

    The warning mentioned, seems to be triggered with any plugin adding Gutenberg blocks or shortcodes to the editor – it’s not bound to WS Form Lite only. As you wrote, WP 5.8 is still in early beta.

    The best!
    Bjarne

    Thread Starter Bjarne Oldrup

    (@oldrup)

    Hey again

    Now with WP 5.8 just released, I still get these warnings with wp_debug on…

    Not that it breaks things, it’s just an eyesore.

    Deprecated: block_categories is deprecated since version 5.8.0! Use block_categories_all instead. in /home/oldrupdk/oldrup.net/wp-includes/functions.php on line 5458
    
    Deprecated: block_categories is deprecated since version 5.8.0! Use block_categories_all instead. in /home/oldrupdk/oldrup.net/wp-includes/functions.php on line 5458

    Are you able to reproduce?

    Bjarne

    Plugin Author Westguard Solutions

    (@westguard)

    Hi Bjarne

    Please upgrade to version 1.8.90 which is our official release for WordPress 5.8.

    Thanks

    Mark

    Thread Starter Bjarne Oldrup

    (@oldrup)

    @westguard Solved! Thanks you a lot šŸ˜€

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.